## ros-kinetic-puma-motor-driver 0.1.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(puma_motor_driver)

find_package(catkin REQUIRED COMPONENTS
  diagnostic_updater
  puma_motor_msgs
  roscpp
  sensor_msgs
  serial
)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES puma_motor_driver
  CATKIN_DEPENDS diagnostic_updater puma_motor_msgs roscpp sensor_msgs serial
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

add_library(puma_motor_driver
  src/driver.cpp
  src/serial_gateway.cpp
  src/socketcan_gateway.cpp
  src/multi_driver_node.cpp
  src/diagnostic_updater.cpp
)

target_link_libraries(puma_motor_driver
  ${catkin_LIBRARIES}
)
add_dependencies(puma_motor_driver puma_motor_msgs_gencpp)

add_executable(puma_multi_controller_node src/multi_controller_node.cpp)

target_link_libraries(puma_multi_controller_node
  puma_motor_driver
  ${catkin_LIBRARIES}
)

# Mark executables and/or libraries for installation
install(TARGETS puma_motor_driver puma_multi_controller_node
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Mark cpp header files for installation
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

if(CATKIN_ENABLE_TESTING)
  find_package(roslint REQUIRED)
  file(GLOB LINT_SRCS
    src/*.cpp
    include/puma_motor_driver/driver.h
    include/puma_motor_driver/gateway.h
    include/puma_motor_driver/message.h
    include/puma_motor_driver/serial_gateway.h
    include/puma_motor_driver/socketcan_gateway.h
    include/puma_motor_driver/multi_driver_node.h
    include/puma_motor_driver/diagnostic_updater.h
    test/*.cpp)
  roslint_cpp(${LINT_SRCS})
  roslint_add_test()

  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(launch/mecanum.launch)
  roslaunch_add_file_check(launch/omni.launch)

  catkin_add_gtest(fixed_point_test test/fixed_point_test.cpp)
endif()

=== debian/changelog ===
ros-kinetic-puma-motor-driver (0.1.2-0xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Devon Ash <dash@clearpathrobotics.com>  Tue, 20 Jun 2017 18:56:48 -0000

ros-kinetic-puma-motor-driver (0.1.1-0xenial) xenial; urgency=high

  * Package format 2, dependency fix.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 20 Nov 2015 05:00:00 -0000

ros-kinetic-puma-motor-driver (0.1.0-0xenial) xenial; urgency=high

  * First release of CAN/serial ROS driver for Puma.
  * Contributors: Mike Purvis, Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 20 Nov 2015 05:00:00 -0000

=== debian/control ===
Source: ros-kinetic-puma-motor-driver
Section: misc
Priority: extra
Maintainer: Devon Ash <dash@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-diagnostic-updater, ros-kinetic-puma-motor-msgs, ros-kinetic-roscpp, ros-kinetic-roslaunch, ros-kinetic-roslint, ros-kinetic-sensor-msgs, ros-kinetic-serial
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-puma-motor-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, can-utils, ros-kinetic-diagnostic-updater, ros-kinetic-joy, ros-kinetic-puma-motor-msgs, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-serial
Description: A ROS driver for Puma single-channel motor control board.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-puma-motor-driver//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
